<?php
session_start();
//conexao com banco
require "conexao.php";

@$matriz = filter_var( $_POST['matriz'], FILTER_SANITIZE_STRING);
@$loja02 = filter_var( $_POST['loja02'], FILTER_SANITIZE_STRING);
@$loja03 = filter_var( $_POST['loja03'], FILTER_SANITIZE_STRING);
@$loja04 = filter_var( $_POST['loja04'], FILTER_SANITIZE_STRING);
@$loja05 = filter_var( $_POST['loja05'], FILTER_SANITIZE_STRING);

//recebe os valores do formulario e limpa os dados
$usuario = filter_var( $_POST['usuario'], FILTER_SANITIZE_STRING);

//recebe os valor da senha limpa e criptografa
$senha = filter_var(password_hash($_POST['senha'], PASSWORD_DEFAULT), FILTER_SANITIZE_STRING);

//tipo de usuario
$tipo = filter_var($_POST['tipo'], FILTER_SANITIZE_STRING);

//procura usuarios iguais ao digitado na tabela
$listagem = mysqli_query($conexao, "SELECT usuario from usuarios where usuario = '$usuario' ;");
//o while repete a criaçao de linhas na tabela igual a quantidade de itens.
while($linha = mysqli_fetch_array($listagem)) {

$user = $linha['usuario'];

}

//se ususario nao existe
if ($user != $usuario){

	//inseri os valores caso nao encontre o usuario na tabela
	$query = "INSERT INTO usuarios (usuario, senha,tipouser,matriz,loja02,loja03,loja04,loja05) VALUES ('$usuario', '$senha','$tipo','$matriz','$loja02','$loja03','$loja04','$loja05');" ;

	mysqli_query($conexao, $query);

		//envia mensagem
	$_SESSION['msg'] = "<div class='alert alert-danger'>Cadastrado com sucesso</div>";

	//redireciona
	header("Location: ../cadastrarusuario.php");


//se encontrar o usuario
}else{

	//envia mensagem
	$_SESSION['msg'] = "<div class='alert alert-danger'>Erro! usuário já existe!</div>";

	//redireciona
	header("Location: ../cadastrarusuario.php");
}

